Subject: Re: consistent_free()

From: Dan Malek <[email-masked]>
Date: Sat, 15 Jun 2002 09:51:11 -0400

Paul Mackerras wrote:

> implied to me that if you wanted 40kB it only allocated 10 pages, not
> 16, but in fact it sounds like the ARM implementation will actually
> allocate 16 pages too.

The current ARM implementation (that I want to copy again) :-) will
first allocate the 16 pages using alloc_pages().  It will then return
six pages from the end of the allocation back to the free pool.  This
is the only way you can get an arbitrary number of contiguous pages.

	-- Dan

** Sent via the linuxppc-embedded mail list. See http://lists.linuxppc.org/